commit:     e49948414026fa60bba0ae42038f4b615fddba06
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 29 19:34:35 2020 +0000
Commit:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Thu Oct 29 19:35:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4994841

games-misc/ballerburg: Fix installation details

Closes: https://bugs.gentoo.org/730870
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>

 games-misc/ballerburg/ballerburg-1.2.0-r1.ebuild | 29 ++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/games-misc/ballerburg/ballerburg-1.2.0-r1.ebuild 
b/games-misc/ballerburg/ballerburg-1.2.0-r1.ebuild
new file mode 100644
index 00000000000..e4a98743301
--- /dev/null
+++ b/games-misc/ballerburg/ballerburg-1.2.0-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils
+
+DESCRIPTION="Linux port of the classical Atari ST game Ballerburg"
+HOMEPAGE="http://baller.tuxfamily.org/";
+SRC_URI="http://download.tuxfamily.org/baller/${P}.tar.gz";
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="media-libs/libsdl"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+       local mycmakeargs=(
+               -DDOCDIR=share/doc/${PF}
+       )
+       cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+       gunzip "${ED}usr/share/man/man6/ballerburg.6.gz" || die
+}

Reply via email to